Seedance malzeme varlık grubunu sil
curl --request DELETE \
--url https://api.tokenlab.sh/v1/videos/assets/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "API key not found",
"type": "invalid_request_error"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}Video ve materyaller
Materyal Varlık Grubunu Sil
Mevcut organizasyona ait bir Seedance materyal grubunu siler.
DELETE
/
v1
/
videos
/
assets
/
groups
/
{groupId}
Seedance malzeme varlık grubunu sil
Bir materyal grubunu ve içindeki TokenLab materyal varlıklarını silin. Bu işlem geri alınamaz.
Eğer TokenLab materyal kütüphanesi, mevcut yetkilendirme durumu izin vermediği için silme işlemini tamamlayamazsa, TokenLab nötr bir materyal kütüphanesi hatası döndürür. Silme işleminden sonra, grup ve içindeki varlıklar video oluşturma sürecinde artık kullanılamaz.
project_name, kimliği doğrulanmış organizasyon içindeki kaynakları ayırır. Varsayılanı default değeridir; ilgili grup ve varlıklarda büyük/küçük harfe duyarlı aynı değeri kullanın. POST/PUT için JSON gövdesinde, GET/DELETE için sorgu parametresi olarak gönderin.
Örnek İstek
curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
-X DELETE \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
Örnek Yanıt
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}
Yetkilendirmeler
API Anahtarı kimlik doğrulaması. API anahtarlarını Dashboard > API > API Keys bölümünden oluşturun veya yönetin.
Yol Parametreleri
Sorgu Parametreleri
Materyal kaynağı için proje kapsamı.
Required string length:
1 - 128